Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface ServerFailureTriggerMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface ServerFailureTriggerMBean
extends ConfigurationMBean

Configuration to mark the server as failed when threads are stuck. A failed server in turn can be configured to shutdown or go into admin state.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getMaxStuckThreadTime()` The number of seconds that a thread must be continually working before this server diagnoses the thread as being stuck.
`int` | `getStuckThreadCount()` The number of stuck threads after which the server is transitioned into FAILED state.
`void` | `setMaxStuckThreadTime(int time)` Sets the value of the MaxStuckThreadTime attribute.
`void` | `setStuckThreadCount(int count)` Sets the value of the StuckThreadCount attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getMaxStuckThreadTime

    public int getMaxStuckThreadTime()

  The number of seconds that a thread must be continually working before this server diagnoses the thread as being stuck.

  For example, if you set this to 600 seconds, WebLogic Server considers a thread to be "stuck" after 600 seconds of continuous use.

  Returns:
    The MaxStuckThreadTime value
  Default value:
    600
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE

### getStuckThreadCount

    public int getStuckThreadCount()

  The number of stuck threads after which the server is transitioned into FAILED state. There are options in OverloadProtectionMBean to suspend and shutdown a FAILED server. By default, the server continues to run in FAILED state.

  If the StuckThreadCount value is set to zero then the server never transitions into FAILED server irrespective of the number of stuck threads.

  Returns:
    The StuckThreadCount value
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE

### setMaxStuckThreadTime

    public void setMaxStuckThreadTime(int time)

  Sets the value of the MaxStuckThreadTime attribute.

  Parameters:
    `time` - The new stuckThreadMaxTime value in seconds
  See Also:
    `getMaxStuckThreadTime()`

### setStuckThreadCount

    public void setStuckThreadCount(int count)

  Sets the value of the StuckThreadCount attribute.

  Parameters:
    `count` - The new StuckThreadCount value
  See Also:
    `getStuckThreadCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD